// Progetto : OctopusTest
#include <Wire.h>
#include <Octopus.h>

uint16_t i = 1;
uint16_t valueTable[16];

// Codice di inizializzazionecode
void setup(void)
{
	Serial.begin(115200);
	Serial.println("OCTOPUS TEST APP");

	Wire.begin();
	Wire.setClock(400000);
	
	delay(500);
	Serial.print("Found #");
	Serial.print((int)Octopus.getNumBoards());
	Serial.println(" OCTOPUS boards");
	delay(500);
	
	Octopus.setPWMFreq(1526);
	
	for(int k = 0; k < 16; k++)
		valueTable[k] = (- (double)k * k / 64 + 0.25 * k) * 4096;
}

// ciclo infinito
void loop(void)
{
	for(uint8_t p = 0; p < 16; p++)
		Octopus.analogWrite(p, valueTable[(i + p) % 16]);
	i++;
	delay(50);
}
